Permalink
Browse files

Cleanup gemspec

  • Loading branch information...
1 parent 3cee822 commit 2ce4ebdd3227ddfd321dc2e06507b3abb4b74f49 @leshill committed Mar 6, 2011
Showing with 26 additions and 100 deletions.
  1. +6 −15 Gemfile.lock
  2. +0 −18 Rakefile
  3. +0 −1 VERSION
  4. +3 −0 lib/resque_spec/version.rb
  5. +17 −66 resque_spec.gemspec
View
@@ -8,35 +8,26 @@ PATH
GEM
remote: http://rubygems.org/
specs:
- git (1.2.5)
- jeweler (1.5.1)
- bundler (~> 1.0.0)
- git (>= 1.2.5)
- rake
json (1.4.6)
rack (1.2.1)
- rake (0.8.7)
redis (2.1.1)
- redis-namespace (0.8.0)
+ redis-namespace (0.10.0)
redis (< 3.0.0)
- resque (1.10.0)
+ resque (1.13.0)
json (~> 1.4.6)
- redis-namespace (~> 0.8.0)
+ redis-namespace (>= 0.10.0)
sinatra (>= 0.9.2)
vegas (~> 0.1.2)
rspec (1.3.1)
- sinatra (1.1.0)
+ sinatra (1.2.0)
rack (~> 1.1)
- tilt (~> 1.1)
- tilt (1.1)
+ tilt (< 2.0, >= 1.2.2)
+ tilt (1.2.2)
vegas (0.1.8)
rack (>= 1.0.0)
PLATFORMS
ruby
DEPENDENCIES
- jeweler (>= 1.4.0)
- resque (>= 1.6.0)
resque_spec!
- rspec (~> 1.3.0)
View
@@ -1,24 +1,6 @@
require 'rubygems'
require 'rake'
-begin
- require 'jeweler'
- Jeweler::Tasks.new do |gem|
- gem.name = "resque_spec"
- gem.summary = %Q{RSpec matchers for Resque}
- gem.description = %Q{RSpec matchers for Resque}
- gem.email = "leshill@gmail.com"
- gem.homepage = "http://github.com/leshill/resque_spec"
- gem.authors = ["Les Hill"]
- gem.add_dependency "resque", ">= 1.6.0"
- gem.add_dependency "rspec", "~> 1.3.0"
- gem.add_development_dependency "jeweler", ">= 1.4.0"
- end
- Jeweler::GemcutterTasks.new
-rescue LoadError
- puts "Jeweler (or a dependency) not available. Install it with: gem install jeweler"
-end
-
require 'spec/rake/spectask'
Spec::Rake::SpecTask.new(:spec) do |spec|
spec.libs << 'lib' << 'spec'
View
@@ -1 +0,0 @@
-0.2.1
@@ -0,0 +1,3 @@
+module ResqueSpec
+ VERSION = '0.2.1'
+end
View
@@ -1,72 +1,23 @@
-# Generated by jeweler
-# DO NOT EDIT THIS FILE DIRECTLY
-# Instead, edit Jeweler::Tasks in Rakefile, and run 'rake gemspec'
-# -*- encoding: utf-8 -*-
+lib = File.expand_path('../lib/', __FILE__)
+$:.unshift lib unless $:.include?(lib)
+
+require "resque_spec/version"
Gem::Specification.new do |s|
- s.name = %q{resque_spec}
- s.version = "0.2.1"
+ s.required_rubygems_version = '>= 1.3.6'
- s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
- s.authors = ["Les Hill"]
- s.date = %q{2010-11-24}
- s.description = %q{RSpec matchers for Resque}
- s.email = %q{leshill@gmail.com}
- s.extra_rdoc_files = [
- "LICENSE",
- "README.md"
- ]
- s.files = [
- ".document",
- ".rvmrc",
- "Gemfile",
- "Gemfile.lock",
- "LICENSE",
- "README.md",
- "Rakefile",
- "VERSION",
- "lib/resque_spec.rb",
- "lib/resque_spec/resque_scheduler_spec.rb",
- "lib/resque_spec/resque_spec.rb",
- "resque_spec.gemspec",
- "spec/resque_scheduler_spec_spec.rb",
- "spec/resque_spec_spec.rb",
- "spec/spec.opts",
- "spec/spec_helper.rb",
- "spec/support/account.rb",
- "spec/support/address.rb",
- "spec/support/person.rb"
- ]
- s.homepage = %q{http://github.com/leshill/resque_spec}
- s.require_paths = ["lib"]
- s.rubygems_version = %q{1.3.7}
- s.summary = %q{RSpec matchers for Resque}
- s.test_files = [
- "spec/resque_scheduler_spec_spec.rb",
- "spec/resque_spec_spec.rb",
- "spec/spec_helper.rb",
- "spec/support/account.rb",
- "spec/support/address.rb",
- "spec/support/person.rb"
- ]
+ s.name = 'resque_spec'
+ s.version = ResqueSpec::VERSION
+ s.authors = ['Les Hill']
+ s.description = 'RSpec matchers for Resque'
+ s.summary = 'RSpec matchers for Resque'
+ s.homepage = 'http://github.com/leshill/resque_spec'
+ s.email = 'leshill@gmail.com'
- if s.respond_to? :specification_version then
- current_version = Gem::Specification::CURRENT_SPECIFICATION_VERSION
- s.specification_version = 3
+ s.require_path = "lib"
- if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
- s.add_runtime_dependency(%q<resque>, [">= 1.6.0"])
- s.add_runtime_dependency(%q<rspec>, ["~> 1.3.0"])
- s.add_development_dependency(%q<jeweler>, [">= 1.4.0"])
- else
- s.add_dependency(%q<resque>, [">= 1.6.0"])
- s.add_dependency(%q<rspec>, ["~> 1.3.0"])
- s.add_dependency(%q<jeweler>, [">= 1.4.0"])
- end
- else
- s.add_dependency(%q<resque>, [">= 1.6.0"])
- s.add_dependency(%q<rspec>, ["~> 1.3.0"])
- s.add_dependency(%q<jeweler>, [">= 1.4.0"])
- end
-end
+ s.files = Dir.glob("lib/**/*") + %w(LICENSE README.md Rakefile)
+ s.add_runtime_dependency('resque', ['>= 1.6.0'])
+ s.add_runtime_dependency('rspec', ['~> 1.3.0'])
+end

0 comments on commit 2ce4ebd

Please sign in to comment.